org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid

## Class InvalidSubscriberSignatureTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid.InvalidSubscriberSignatureTest

    public class InvalidSubscriberSignatureTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InvalidSubscriberSignatureTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkThatIncomingShouldNotReturnNonVoidCompletionStage()`
`void` `checkThatIncomingShouldNotReturnObject()`
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `incomingReturningNonVoid()`
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `incomingReturningNonVoidCompletionStage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidSubscriberSignatureTest

    public InvalidSubscriberSignatureTest()

### Method Detail

#### incomingReturningNonVoid

    @Deployment(managed=false,
                name="incoming-returning-object")
     @ShouldThrowException(value=jakarta.enterprise.inject.spi.DefinitionException.class,
                          testable=true)
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> incomingReturningNonVoid()

#### checkThatIncomingShouldNotReturnObject

    public void checkThatIncomingShouldNotReturnObject()

#### incomingReturningNonVoidCompletionStage

    @Deployment(managed=false,
                name="incoming-returning-non-void-cs")
     @ShouldThrowException(value=jakarta.enterprise.inject.spi.DefinitionException.class,
                          testable=true)
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> incomingReturningNonVoidCompletionStage()

#### checkThatIncomingShouldNotReturnNonVoidCompletionStage

    public void checkThatIncomingShouldNotReturnNonVoidCompletionStage()